Skip to content
Developers

API reference / Accounts

GET/v1/accounts/{id}/transactions

List transactions

Requires transactions:read. Resource restrictions also apply. Read transactions.

Reads use stored data and do not refresh the bank.

Request examples

These examples use HTTP directly. Keep API keys on your server.

Shell
curl 'https://api.bankmcp.app/v1/accounts/RESOURCE_ID/transactions' \
  -H "Authorization: Bearer $BANKING_API_KEY"
TypeScript
const response = await fetch('https://api.bankmcp.app/v1/accounts/RESOURCE_ID/transactions', {
  headers: {
    Authorization: `Bearer ${process.env.BANKING_API_KEY}`,
  },
});
if (!response.ok) throw new Error(`Banking returned ${response.status}`);
const data = await response.json();

Parameters

idpathrequired

string

date_fromqueryoptional

string — Calendar date (YYYY-MM-DD)

date_toqueryoptional

string — Calendar date (YYYY-MM-DD)

cursorqueryoptional

string

limitqueryoptional

string

Response

200 · application/json

environment"sandbox" | "production"required
account_idstringrequired
retrieved_atstring | nullrequired
Show retrieved_at schema
Option 1: string

string

Option 2: null

null

source"stored" | "live"required
coverageobject | nullrequired
Show coverage schema
Option 1: object
fromstringrequired

Calendar date (YYYY-MM-DD)

tostringrequired

Calendar date (YYYY-MM-DD)

Option 2: null

null

transactionsarray<object>required
Show transactions schema
idstringrequired
booking_datestring | nullrequired
Show booking_date schema
Option 1: string

string — Calendar date (YYYY-MM-DD)

Option 2: null

null

value_datestring | nullrequired
Show value_date schema
Option 1: string

string — Calendar date (YYYY-MM-DD)

Option 2: null

null

amountobjectrequired
Show amount schema
amountstringrequired

Exact decimal amount as a string

currencystringrequired

ISO 4217 currency code

direction"CRDT" | "DBIT" | nullrequired
Show direction schema
Option 1: "CRDT" | "DBIT"

"CRDT" | "DBIT"

Option 2: null

null

descriptionarray<string>required
Show description schema

string

counterpartystring | nullrequired
Show counterparty schema
Option 1: string

string

Option 2: null

null

statusstring | nullrequired
Show status schema
Option 1: string

string

Option 2: null

null

balance_after_transactionobject | nullrequired

The account balance after this transaction, when the bank reports one.

Show balance_after_transaction schema
Option 1: object
amountstringrequired

Exact decimal amount as a string

currencystringrequired

ISO 4217 currency code

Option 2: null

null

merchantobject | nullrequired
Show merchant schema
Option 1: object
logo_urlstring | null
Show logo_url schema
Option 1: string

string

Option 2: null

null

namestringrequired

The exact merchant name it is stored under (its logo is keyed by it).

kind"logo" | "category"required
category"groceries" | "restaurant" | "coffee" | "fast_food" | "food_delivery" | "bar" | "bakery" | "pharmacy" | "health" | "beauty" | "fashion" | "electronics" | "home" | "shopping" | "software" | "subscription" | "music" | "streaming" | "entertainment" | "events" | "sports" | "fitness" | "travel" | "hotel" | "transport" | "taxi" | "fuel" | "parking" | "utilities" | "telecom" | "housing" | "insurance" | "education" | "books" | "pets" | "gifts" | "charity" | "government" | "other"required
brandstring | nullrequired
Show brand schema
Option 1: string

string

Option 2: null

null

domainstring | nullrequired
Show domain schema
Option 1: string

string

Option 2: null

null

Option 2: null

null

category"groceries" | "restaurant" | "coffee" | "fast_food" | "food_delivery" | "bar" | "bakery" | "pharmacy" | "health" | "beauty" | "fashion" | "electronics" | "home" | "shopping" | "software" | "subscription" | "music" | "streaming" | "entertainment" | "events" | "sports" | "fitness" | "travel" | "hotel" | "transport" | "taxi" | "fuel" | "parking" | "utilities" | "telecom" | "housing" | "insurance" | "education" | "books" | "pets" | "gifts" | "charity" | "government" | "other" | "transfer" | "income" | "fees" | "cash" | nullrequired
Show category schema
Option 1: "groceries" | "restaurant" | "coffee" | "fast_food" | "food_delivery" | "bar" | "bakery" | "pharmacy" | "health" | "beauty" | "fashion" | "electronics" | "home" | "shopping" | "software" | "subscription" | "music" | "streaming" | "entertainment" | "events" | "sports" | "fitness" | "travel" | "hotel" | "transport" | "taxi" | "fuel" | "parking" | "utilities" | "telecom" | "housing" | "insurance" | "education" | "books" | "pets" | "gifts" | "charity" | "government" | "other" | "transfer" | "income" | "fees" | "cash"

"groceries" | "restaurant" | "coffee" | "fast_food" | "food_delivery" | "bar" | "bakery" | "pharmacy" | "health" | "beauty" | "fashion" | "electronics" | "home" | "shopping" | "software" | "subscription" | "music" | "streaming" | "entertainment" | "events" | "sports" | "fitness" | "travel" | "hotel" | "transport" | "taxi" | "fuel" | "parking" | "utilities" | "telecom" | "housing" | "insurance" | "education" | "books" | "pets" | "gifts" | "charity" | "government" | "other" | "transfer" | "income" | "fees" | "cash"

Option 2: null

null

viaobject | nullrequired
Show via schema
Option 1: object
providerstringrequired

The wallet, e.g. PayPal.

role"funding" | "payment" | "transfer"required

funding: a bank debit that paid a wallet payment; payment: the wallet paying the merchant; transfer: between the wallet and a bank.

payeestring | nullrequired

For funding: who the wallet paid (the merchant).

Show payee schema
Option 1: string

string

Option 2: null

null

linkedobject | nullrequired
Show linked schema
Option 1: object
idstringrequired
bankstringrequired
daystringrequired

Calendar date (YYYY-MM-DD)

amountstringrequired

Exact decimal amount as a string

currencystringrequired

ISO 4217 currency code

method"exact" | "amount_date" | "currency" | "partial"required
confidencenumberrequired
Option 2: null

null

Option 2: null

null

completebooleanrequired
next_cursorstring | nullrequired
Show next_cursor schema
Option 1: string

string

Option 2: null

null

continuation_instructionsstring
warningstring

Errors

Errors contain error, code and an optional action. Read the error and retry guide.

StatusCode
400INVALID_INPUT
401INVALID_API_KEY
403INSUFFICIENT_PERMISSION
404NOT_FOUND
409CONFLICT
413REQUEST_TOO_LARGE
429rate_limit.feature
500REQUEST_FAILED
502INVALID_RESPONSE
503UNAVAILABLE

Try this request

Sent directly to https://api.bankmcp.app. Your key stays in this page’s memory and is never saved.

Resource identifier

Query parameter

Query parameter

Query parameter

Query parameter